# Application

Global application object.

## Methods

- ref(...)
- isWidgetType(...)
- parent(...)
- cut(...)
- quit(...)
- signals(...)
- slots(...)
- aboutQt(...)
- disconnect(...)
- paste(...)
- invokeBrowser(...)
- getAttribute(...)
- invokeBrowser1(...)
- child(...)
- children(...)
- superClassName(...)
- clear(...)
- properties(...)
- deleteLater(...)
- className(...)
- setAttribute(...)
- copy(...)
- selectAll(...)
- connect(...)
- deref(...)
- hasAttribute(...)
- childCount(...)
- getElementById(...)
- exec(...)
- getParentNode(...)
- closeAllWindows(...)

## Properties

- args

## Qt Properties

- QCString name kjscmd

## Qt Signals

- destroyed()
- destroyed(QObject*)
- lastWindowClosed()
- aboutToQuit()
- guiThreadAwake()
- kdisplayPaletteChanged()
- kdisplayStyleChanged()
- kdisplayFontChanged()
- appearanceChanged()
- toolbarAppearanceChanged(int)
- backgroundChanged(int)
- settingsChanged(int)
- iconChanged(int)
- kipcMessage(int,int)
- saveYourself()
- shutDown()

## Qt Slots

- void deleteLater()
- void cleanupEventFilter(QObject*)
- void quit()
- void closeAllWindows()
- void aboutQt()
- void invokeBrowser(const QString&,const QCString&)
- void invokeBrowser(const QString&)
- void cut()
- void copy()
- void paste()
- void clear()
- void selectAll()
- void ref()
- void deref()
- void dcopFailure(const QString&)
- void dcopBlockUserInput(bool)
- void x11FilterDestroyed()
- void checkAppStartedSlot()